- Qt 6.9
- Qt Protobuf
- C++ Classes
- QProtobufMessageDeleter
- Qt 6.9.2 Reference Documentation

# QProtobufMessageDeleter Struct

Calls the destructor of the child class of a QProtobufMessage. More...

Header: | `#include <QProtobufMessageDeleter>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Protobuf)` `target_link_libraries(mytarget PRIVATE Qt6::Protobuf)`
Since: | Qt 6.5

- List of all members, including inherited members

## Public Functions

void | operator()(QProtobufMessage *ptr) const

## Detailed Description

This class calls the destructor of a protobuf message using the meta-type system. It is intended to be used with smart pointers, such as std::unique_ptr.

See also QProtobufMessagePointer.

## Member Function Documentation

### `[noexcept]` void QProtobufMessageDeleter::operator()(QProtobufMessage *ptr) const

Destroys the message pointed to by ptr. This is intended for use with smart pointers.

See also QProtobufMessagePointer.